# Interface AxiosStatic

interface AxiosStatic {
all : <T>(values: (T | Promise<T>)[]) => Promise<T[]>;
Axios : typeof Axios ;
AxiosError : typeof AxiosError ;
AxiosHeaders : typeof AxiosHeaders ;
Cancel : CancelStatic ;
CanceledError : typeof CanceledError ;
CancelToken : CancelTokenStatic ;
defaults : Omit < AxiosDefaults <any>, "headers"> & {
headers: HeadersDefaults & { [key: string]: AxiosHeaderValue };
};
formToJSON : (form: GenericFormData | GenericHTMLFormElement ) => object;
getAdapter : (
adapters: undefined | AxiosAdapterConfig | AxiosAdapterConfig [],
) => AxiosAdapter ;
HttpStatusCode : typeof HttpStatusCode ;
interceptors : {
request: AxiosInterceptorManager < InternalAxiosRequestConfig <any>>;
response: AxiosInterceptorManager < AxiosResponse <any, any>>;
};
isAxiosError : <T = any, D = any>(
payload: any,
) => payload is AxiosError <T, D>;
isCancel : (value: any) => value is Cancel ;
mergeConfig : <D = any>(
config1: AxiosRequestConfig <D>,
config2: AxiosRequestConfig <D>,
) => AxiosRequestConfig <D>;
spread : <T, R>(callback: (...args: T[]) => R) => (array: T[]) => R;
toFormData : (
sourceObj: object,
targetFormData?: GenericFormData ,
options?: FormSerializerOptions ,
) => GenericFormData ;
VERSION : string;
create (config?: CreateAxiosDefaults <any>): AxiosInstance ;
delete < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
get < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
getUri (config?: AxiosRequestConfig <any>): string;
head < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
options < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
patch < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
patchForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
post < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
postForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
put < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
putForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
request < T = any, R = AxiosResponse < T , any>, D = any>(
config: AxiosRequestConfig < D >,
): Promise< R >;
< T = any, R = AxiosResponse < T , any>, D = any>(
config: AxiosRequestConfig < D >,
): Promise< R >;
< T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
}

#### Hierarchy (View Summary)

- AxiosInstance
  - AxiosStatic

- AxiosStatic< T = any, R = AxiosResponse < T , any>, D = any>(
  config: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:548
- AxiosStatic< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:548

##### Index

### Properties

all
Axios
AxiosError
AxiosHeaders
Cancel
CanceledError
CancelToken
defaults
formToJSON
getAdapter
HttpStatusCode
interceptors
isAxiosError
isCancel
mergeConfig
spread
toFormData
VERSION

### Methods

create
delete
get
getUri
head
options
patch
patchForm
post
postForm
put
putForm
request

## Properties

### all

all: <T>(values: (T | Promise<T>)[]) => Promise<T[]>

- Defined in node_modules/axios/index.d.ts:557

### Axios

Axios: typeof Axios

- Defined in node_modules/axios/index.d.ts:552

### AxiosError

AxiosError: typeof AxiosError

- Defined in node_modules/axios/index.d.ts:553

### AxiosHeaders

AxiosHeaders: typeof AxiosHeaders

- Defined in node_modules/axios/index.d.ts:564

### Cancel

Cancel: CancelStatic

- Defined in node_modules/axios/index.d.ts:550

### CanceledError

CanceledError: typeof CanceledError

- Defined in node_modules/axios/index.d.ts:563

### CancelToken

CancelToken: CancelTokenStatic

- Defined in node_modules/axios/index.d.ts:551

### defaults

defaults: Omit < AxiosDefaults <any>, "headers"> & {
headers: HeadersDefaults & { [key: string]: AxiosHeaderValue };
}

Inherited from AxiosInstance.defaults

- Defined in node_modules/axios/index.d.ts:515

### formToJSON

formToJSON: (form: GenericFormData | GenericHTMLFormElement ) => object

- Defined in node_modules/axios/index.d.ts:561

### getAdapter

getAdapter: (
adapters: undefined | AxiosAdapterConfig | AxiosAdapterConfig [],
) => AxiosAdapter

- Defined in node_modules/axios/index.d.ts:562

### HttpStatusCode

HttpStatusCode: typeof HttpStatusCode

- Defined in node_modules/axios/index.d.ts:554

### interceptors

interceptors: {
request: AxiosInterceptorManager < InternalAxiosRequestConfig <any>>;
response: AxiosInterceptorManager < AxiosResponse <any, any>>;
}

Inherited from AxiosInstance.interceptors

- Defined in node_modules/axios/index.d.ts:493

### isAxiosError

isAxiosError: <T = any, D = any>(payload: any) => payload is AxiosError <T, D>

- Defined in node_modules/axios/index.d.ts:559

### isCancel

isCancel: (value: any) => value is Cancel

- Defined in node_modules/axios/index.d.ts:556

### mergeConfig

mergeConfig: <D = any>(
config1: AxiosRequestConfig <D>,
config2: AxiosRequestConfig <D>,
) => AxiosRequestConfig <D>

- Defined in node_modules/axios/index.d.ts:565

### spread

spread: <T, R>(callback: (...args: T[]) => R) => (array: T[]) => R

- Defined in node_modules/axios/index.d.ts:558

### toFormData

toFormData: (
sourceObj: object,
targetFormData?: GenericFormData ,
options?: FormSerializerOptions ,
) => GenericFormData

- Defined in node_modules/axios/index.d.ts:560

### `Readonly` VERSION

VERSION: string

- Defined in node_modules/axios/index.d.ts:555

## Methods

### create

- create(config?: CreateAxiosDefaults <any>): AxiosInstance

  #### Parameters

  - `Optional` config: CreateAxiosDefaults <any>

  #### Returns AxiosInstance

  - Defined in node_modules/axios/index.d.ts:549

### delete

- delete< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.delete

  - Defined in node_modules/axios/index.d.ts:500

### get

- get< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.get

  - Defined in node_modules/axios/index.d.ts:499

### getUri

- getUri(config?: AxiosRequestConfig <any>): string

  #### Parameters

  - `Optional` config: AxiosRequestConfig <any>

  #### Returns string

  Inherited from AxiosInstance.getUri

  - Defined in node_modules/axios/index.d.ts:497

### head

- head< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.head

  - Defined in node_modules/axios/index.d.ts:501

### options

- options< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.options

  - Defined in node_modules/axios/index.d.ts:502

### patch

- patch< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.patch

  - Defined in node_modules/axios/index.d.ts:505

### patchForm

- patchForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.patchForm

  - Defined in node_modules/axios/index.d.ts:508

### post

- post< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.post

  - Defined in node_modules/axios/index.d.ts:503

### postForm

- postForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.postForm

  - Defined in node_modules/axios/index.d.ts:506

### put

- put< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.put

  - Defined in node_modules/axios/index.d.ts:504

### putForm

- putForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.putForm

  - Defined in node_modules/axios/index.d.ts:507

### request

- request< T = any, R = AxiosResponse < T , any>, D = any>(
  config: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from AxiosInstance.request

  - Defined in node_modules/axios/index.d.ts:498